<!DOCTYPE html>
<html>
	<head>
		<title>Lab#4 Functions and Objects</title>
		<link rel="stylesheet" href="styles.css">
		<script language="javascript" type="text/javascript">
			function resizeMe(width = 100, height = 100) {
				alert(this);

				if(this == window) {
					window.resizeTo(width, height);
				}
				else {
					this.style.width = width + "px";
					this.style.height = height + "px";
				}
				event.stopPropagation();
			}

			function initialize(){
				document.getElementById("one").addEventListener("click", function(){resizeMe.call(this,100,30);});
				document.getElementById('two').addEventListener("click", function(){resizeMe.call(this,700,500);});
				document.getElementById('three').addEventListener("click", function(){resizeMe.call(this,300,40);});
				document.getElementById('four').addEventListener("click", function(){resizeMe.call(this);});
				document.getElementById('five').addEventListener("click", function(){resizeMe.call(this,300);});
			}
		</script>
	</head>
	<body onload="resizeMe(1000,800);" onclick="resizeMe(1200,800); resizeMe.call(this,1100,700);">
		<input id="one" type="submit" value="Resize Me"/>
		<img id="two" alt="" src="earth.png" width="400px" height="300px"/>
		<p id="three">Content inside the paragraph.</p>
		<div id="four">
			Content for division id=4.
		</div>
		<div id="five">
			Content inside the bottom division.
		</div>

		<script language="javascript" type="text/javascript">
			initialize();
		</script>
	</body>
</html>
